Package icyllis.modernui.markdown

# Class MarkdownTheme

java.lang.Object
icyllis.modernui.markdown.MarkdownTheme

@Immutable public final class MarkdownTheme extends Object
Controlling the styled attributes for rendering Markdown.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `MarkdownTheme.Builder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MarkdownTheme.Builder`
  `builder()`
  `static MarkdownTheme.Builder`
  `builderWithDefaults(Context context)`
  `int`
  `getBlockQuoteColor()`
  `int`
  `getBlockQuoteMargin()`
  `int`
  `getBlockQuoteWidth()`
  `int`
  `getCodeBackgroundColor()`
  `int`
  `getCodeBlockBackgroundColor()`
  `int`
  `getCodeBlockMargin()`
  `int`
  `getCodeBlockTextColor()`
  `int`
  `getCodeBlockTextSize()`
  `Typeface`
  `getCodeBlockTypeface()`
  `int`
  `getCodeTextColor()`
  `int`
  `getCodeTextSize()`
  `Typeface`
  `getCodeTypeface()`
  `int`
  `getHeadingBreakColor()`
  `float`
  `getHeadingTextSizeMultiplier(int level)`
  `Typeface`
  `getHeadingTypeface()`
  `int`
  `getListItemColor()`
  `int`
  `getListItemMargin()`
  `int`
  `getThematicBreakColor()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### builder

    @NonNull public static MarkdownTheme.Builder builder()

  - ### builderWithDefaults

    @NonNull public static MarkdownTheme.Builder builderWithDefaults(@NonNull Context context)

  - ### getBlockQuoteMargin

    public int getBlockQuoteMargin()

  - ### getBlockQuoteWidth

    public int getBlockQuoteWidth()

  - ### getBlockQuoteColor

    public int getBlockQuoteColor()

  - ### getListItemMargin

    public int getListItemMargin()

  - ### getListItemColor

    public int getListItemColor()

  - ### getCodeTextColor

    public int getCodeTextColor()

  - ### getCodeBackgroundColor

    public int getCodeBackgroundColor()

  - ### getCodeTypeface

    @NonNull public Typeface getCodeTypeface()

  - ### getCodeTextSize

    public int getCodeTextSize()

  - ### getCodeBlockTextColor

    public int getCodeBlockTextColor()

  - ### getCodeBlockBackgroundColor

    public int getCodeBlockBackgroundColor()

  - ### getCodeBlockTypeface

    @NonNull public Typeface getCodeBlockTypeface()

  - ### getCodeBlockTextSize

    public int getCodeBlockTextSize()

  - ### getCodeBlockMargin

    public int getCodeBlockMargin()

  - ### getHeadingBreakColor

    public int getHeadingBreakColor()

  - ### getHeadingTypeface

    public Typeface getHeadingTypeface()

  - ### getHeadingTextSizeMultiplier

    public float getHeadingTextSizeMultiplier(int level)

  - ### getThematicBreakColor

    public int getThematicBreakColor()